Bug 148445 - Exchanging data source in mail merge wizard causes crash (kf5)
Summary: Exchanging data source in mail merge wizard causes crash (kf5)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.4 release
Hardware: x86-64 (AMD64) Linux (All)
: medium critical
Assignee: Michael Weghorn
URL:
Whiteboard: target:7.4.0 target:7.3.3
Keywords: haveBacktrace
Depends on:
Blocks: KDE Mail-Merge
  Show dependency treegraph
 
Reported: 2022-04-07 13:57 UTC by Buovjaga
Modified: 2022-04-08 06:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
GDB trace of crash (7.83 KB, text/plain)
2022-04-07 13:57 UTC, Buovjaga
Details
Screencast with gen VCL plugin (279.92 KB, video/x-matroska)
2022-04-07 14:58 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2022-04-07 13:57:03 UTC
Created attachment 179375 [details]
GDB trace of crash

Was testing bug 115077 when I ran into this. Not reproducible with gtk3 or gen.

1. Open attachment 139166 [details] with kf5 UI
2. Tools - Mail Merge Wizard
3. Exchange database
4. The new dialog opens under the wizard, so close wizard
5. Pick a db (like bibliography) and click Define

Bibisect doesn't seem to be needed because this appeared in 7.2 and this feature was added with bug 139906, so assuming it crashed from the start with kf5.

Arch Linux 64-bit
Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: ff2f433cdfda74dbf69a11342a98ccbfb5bc6a72
CPU threads: 8; OS: Linux 5.17; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded Jumbo
Built on 7 April 2022
Comment 1 Michael Weghorn 2022-04-07 14:21:57 UTC
I can reproduce, will take a look.
Comment 2 Michael Weghorn 2022-04-07 14:58:32 UTC
Created attachment 179379 [details]
Screencast with gen VCL plugin

gen crashes just the same for me if I press the cancel button of the mail merge wizard first, s. attached screencast (but the "Exchange Database" appears in the foreground as expected, so one won't come to the idea of doing so that easily)

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 4e8d6ccf97e29e5ea14e0d074074606f12040f36
CPU threads: 12; OS: Linux 5.16; UI render: default; VCL: x11
Locale: en-GB (en_GB.UTF-8); UI: en-US
Calc: threaded
Comment 3 Michael Weghorn 2022-04-07 15:08:07 UTC
(In reply to Michael Weghorn from comment #1)
> I can reproduce, will take a look.

https://gerrit.libreoffice.org/c/core/+/132677
https://gerrit.libreoffice.org/c/core/+/132678
Comment 4 Buovjaga 2022-04-07 17:12:10 UTC
(In reply to Michael Weghorn from comment #3)
> (In reply to Michael Weghorn from comment #1)
> > I can reproduce, will take a look.
> 
> https://gerrit.libreoffice.org/c/core/+/132677
> https://gerrit.libreoffice.org/c/core/+/132678

Thanks, with these, the problems are gone (dialog z-position and the crash).
Comment 5 Commit Notification 2022-04-07 17:58:47 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dafa352065b31428c54e8eded382a36951f7af5c

tdf#148445 sw: Resave exchangedatabases.ui with glade 3.38.2

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-04-07 17:59:58 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/365bd679904ec5f67d1061511d7faf73f9f8aa62

tdf#148445 sw: Make "Exchange Databases" dialog modal

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Michael Weghorn 2022-04-07 18:02:18 UTC
Cherry-picks for 7-3 pending in Gerrit:

https://gerrit.libreoffice.org/c/core/+/132695
https://gerrit.libreoffice.org/c/core/+/132696
Comment 8 Commit Notification 2022-04-08 06:36:21 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/b6cab2bf1a863ccd14df89ad494c27699b50adf6

tdf#148445 sw: Resave exchangedatabases.ui with glade 3.38.2

It will be available in 7.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-04-08 06:36:30 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/631d075f294086fa55b7e4470af076c4d635958b

tdf#148445 sw: Make "Exchange Databases" dialog modal

It will be available in 7.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.